Bug 1269431 - Nautilus sidebar navigation happens in the wrong window
Nautilus sidebar navigation happens in the wrong window
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-07 06:26 EDT by Berend De Schouwer
Modified: 2016-12-20 09:54 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:54:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Berend De Schouwer 2015-10-07 06:26:37 EDT
Description of problem:

If I have two nautilus windows open, W1 and W2, sometimes when I navigate in W1, the view in W2 will change.

This happens when clicking on the sidebar.  This happens about 10% of the time.

Lets assume there's a W1, with the default sidebar S1 containing the default (Recent, Home, Documents, Music, Pictures, Videos, +Other Locations) and a W2 with the default sidebar S2.

Lets say both W1 and W2 are on 'Home'.

Clicking S1->Music will change *W2* to 'Music'.


Version-Release number of selected component (if applicable):

nautilus-3.18.0-1.fc23.x86_64
Fedora 23 Beta


How reproducible:

About 10% of the time.  I don't know the full conditions necessary to make it happen, but I think it needs external storage mounted.


Steps to Reproduce:

0. Plug in external storage
1. Open Nautilus window W1.  Location: storage.
2. Right-click on S1->Home.  Select New Window.
   Now we're ready to drag-and-drop to/from external storage.
3. Navigate W1 to find the files.
4. W2's location changes.


Actual results:

W2's location changes.


Expected results:

Navigating in W1 should change W1's location.


Additional info:

I can't duplicate it 100% yet.  I have had it happen four or five times, and it can cause you to copy files between the wrong locations.

When it happens, it happens continuously.  As long as you navigate W1, W2 changes.  When you navigate W2, W2 changes.  When you start navigating W1 again, W2 changes.

You have to close W2, and open it again.

I'm pretty sure it's X11 and Wayland.
Comment 1 Berend De Schouwer 2015-10-07 07:06:46 EDT
I found how to duplicate it.

Nautilus (or gfvs?) needs to be busy collecting a filelist.  This is why large external storage makes it happen more easily.
Comment 2 James 2015-11-15 17:03:03 EST
Happens for me in nautilus-3.18.1-1.fc23.x86_64. Seems to happen more often when using an NFS directory. Like reporter said, it's intermittent.
Comment 3 Van Haught 2015-11-17 12:39:48 EST
This happens for me too in nautilus-3.18.1-1.fc23.x86_64, but not just in the sidebar. Actually, it mostly happens double-clicking folders in the main window. I cannot replicate it deliberately yet.

The occurrence is intermittent. But, once it occurs, it is persistent - once double-clicking a folder in W1 hijacks W2, it will ALWAYS hijack W2 until I close W2 and open a new one.

I am using the default gnome session (not classic, not wayland).
Comment 4 Berend De Schouwer 2015-11-18 02:57:23 EST
I agree that it happens on clicking folder icons in addition to the sidebar.

I'm convinced that you need to initiate a slow(ish) action as a prerequisite to triggering the bug.  I think that the hijack happens if the focus is in the other window when the action completes.

Indexing large folders (metainfo?) or copying large data to external storage or networked drivers are a good way to trigger a slow(ish) action.  Caching makes it difficult to duplicate.
Comment 5 Jesús Abelardo Saldívar Aguilar 2015-12-29 20:51:33 EST
This bug afects me.

It happens after copying large amounts of heavy files (pictures, videos, music)
Comment 6 Fedora End Of Life 2016-11-24 07:43:19 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2016-12-20 09:54:39 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.